RABIN(1)

NAME
rabin - Binary program info extractor

SYNOPSIS
rabin [-eoicsSlrvz] [-h] [-L library] [file]

DESCRIPTION
This program allows you to get information about ELF/PE/MZ and CLASS files in a simple way.

-e  Show entrypoints for disk and on-memory

-i  Show imports (symbols imported from libraries

-I  Display general binary information

-c  Show header checksum (if exist)

-s  Show exported symbols

-S  Show sections

-o  Execute a specific Operation on the binary. Use -o help for more information: -o r/.text/1024 : resize section -o d/s/10 : dump symbols -o d/S/.text : dump sections

-l  List linked libraries to the binary

-L library
    Show the base address of a library loaded in memory

-H  Display header information

-r  Show output in radare commands

-x  Find xrefs for symbols (-s, -i, -z required)

-z  Show strings inside .data section (like gnu strings does)

-v  Enable verbosity (use -vv or -vvv for more verbose levels)

-h  Show usage help message.

SEE ALSO

radiff(1), radare(1), radarerc(5), hasher(1), rfile(1), rsc(1), rasc(1), xc(1), bug(1), xrefs(1)

AUTHORS

pancake <pancake@youterm.com>